@import url('variables.css');

.header-container {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #fff;
    height: 110px;
}

.header img {
    height: 100%;
}

.header button.hamburger {
    align-self: end;
    display: none;
}

.header .hamburger img {
    height: 24px;
}

.header .contact {
    font-size: var(--text-size-lg);
    color: var(--primary-color);
}

.header .contact .phone-container {
    margin-right: 5px;
}

.header .contact .phone {
    text-decoration: none;
    color: var(--primary-color);
}

.menu {
    list-style-type: none;
    margin-top: 0
}

.menu .menu-item a {
    cursor: pointer;
    text-decoration: none;
    color: #fff;
    font-size: var(--font-size-sm);
}

@media screen and (max-width: 599px) {    
    img.logo {
        height: 70px;
    }
 
    .header {
        height: 70px;
    }
 
    .header button.hamburger {
        display: block;
        background-color: transparent;
        border: none;
    }

    .header .contact {
        position: absolute;
        top: 5px;
        right: 5px;
        font-size: var(--text-size-xs);
        margin-right: 10px;
    }

    .header .contact a {
        font-size: var(--text-size-xs);
    }

    .header .phone {
        font-size: var(--text-size-xs);
    }

    .menu-container {
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        bottom: -1000px;
        width: 200px;
        background-color: var(--primary-color);
        color: #fff;
        opacity: 0;
        visibility: hidden;
        transition: opacity .3s ease-in-out;
    }

    .menu-container.open {
        display: block;
        opacity: 1;
        visibility: visible;
    }

    .menu-container button.menu-close {
        background-color: transparent;
        border: none;
        position: absolute;
        top: 10px;
        right: 5px;
    }

    .menu-container button.menu-close img {
        height: 24px;
        width: 24px;
    }

    .menu {
        padding: 0;
        margin-top: 75px;
        display: flex;
        justify-content: space-around;
        flex-direction: column;
        align-items: center;
        list-style-type: none;
        gap: 0;
    }

    .menu li {
        width: 100%;
        text-align: left;
        height: 40px;
        display: grid;
        align-items: center;
    }

    .menu li a {
        text-transform: uppercase;
        padding-left: 5px;
    }
}

@media screen and (min-width: 600px) {
    .menu {
        height: 40px;
        background-color: var(--primary-color);
        color: #fff;
        display: flex;
        justify-content: space-around;
        align-items: center;
        list-style-type: none;
    }

    .menu .menu-item {
        align-self: center;
        text-align: center;
    }

    .menu .menu-item.home {
        display: none;
    }

    .menu .menu-item a {
        cursor: pointer;
        text-decoration: none;
        color: #fff;
    }

    .menu-container button.menu-close {
        display: none;
    }
}
